#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "GlobalProcessingIconViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API UGlobalProcessingIconViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API IGlobalProcessingIconViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetGlobalSavingIconVisibility(bool isVisible);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void SetGlobalLoadingIconVisibility(bool isVisible);

};
